package com.jiayue.insu.incloud.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * 一体化公司实体类
 *
 * @author yh
 * @version 1.0
 * @since 2020/7/8 10:56
 */
@TableName(value = "in_company")
@Data
public class IntegrationCompany extends  BaseEntity{

    /**
     * Id
     */
    @TableId(type = IdType.AUTO)
    Long id;
    /**
     * 一体化公司名称
     */
    String name;
    /**
     * 一体化公司code
     */
    String code;
    /**
     * 联系方式
     */
    String contact;
    /**
     * 通讯keyURL
     */
    String comUrl;
    /**
     * 推动数据URL
     */
    String pushUrl;

    /**
     * 拉取数据URL
     */
    String pullUrl;
}
