package com.jiayue.passback.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 上报对象
 *
 * @author xsl
 * @version 3.0
 */
@EqualsAndHashCode(callSuper = true)
@Data
@TableName("t_upload_object")
public class UploadObject extends AbstractBaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId("C_ID")
    private Integer id;

    /**
     * 上报对象名称
     */
    @TableField("C_UPLOAD_OBJECT_NAME")
    private String uploadObjectName;

    /**
     * 上报对象编号
     */
    @TableField("C_OBJECT_NO")
    private String objectNo;

}
