package com.jiayue.insu.incloud.constants.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;



/**
 * 一体化请求VO
 *
 * @author yh
 * @version 1.0
 * @since 2022/5/22 11:29
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class RequestVo {

    /**
     * 数据传输类型
     */
    private String transferType;

    /**
     * 日期
     */
    private String date;
    /**
     * 数据类型
     */
    private String dataType;

    /**
     * 文件名
     */
    private String fileName;

    /**
     * 数据
     */
    private String data;



}
