package com.jiayue.passback.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.math.BigDecimal;

/**
 * 上报预测功率抽象实体
 *
 * @author zzy
 * @version 1.0
 * @since 2019/11/28 16:05
 */
@EqualsAndHashCode(callSuper = true)
@Data
public class AbstractForecastPowerHis extends AbstractForecastPowerBase {

	/**
	 * 可用预测功率（MW）
	 */
	@TableField("C_ABLE_VALUE")
	private BigDecimal ableValue;


	/**
	 * 开机容量（MW）
	 */
	@TableField("C_SU_CAPACITY")
	private BigDecimal suCapacity;

	/*提前多久预测*/
	@TableField("C_FORECAST_HOW_LONG_AGO")
	private Integer forecastHowLongAgo;

}
